Character.UnicodeBlock
Date: 2016-06-24

java.lang

## Class Character.UnicodeBlock

- java.lang.Object
- - java.lang.Character.Subset
  - - java.lang.Character.UnicodeBlock

- Enclosing class:
    Character

      public static final class Character.UnicodeBlock
      extends Character.Subset

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Character.UnicodeBlock` | `ALPHABETIC_PRESENTATION_FORMS`
    `static Character.UnicodeBlock` | `ARABIC`
    `static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_A`
    `static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_B`
    `static Character.UnicodeBlock` | `ARMENIAN`
    `static Character.UnicodeBlock` | `ARROWS`
    `static Character.UnicodeBlock` | `BASIC_LATIN`
    `static Character.UnicodeBlock` | `BENGALI`
    `static Character.UnicodeBlock` | `BLOCK_ELEMENTS`
    `static Character.UnicodeBlock` | `BOPOMOFO`
    `static Character.UnicodeBlock` | `BOPOMOFO_EXTENDED`
    `static Character.UnicodeBlock` | `BOX_DRAWING`
    `static Character.UnicodeBlock` | `BRAILLE_PATTERNS`
    `static Character.UnicodeBlock` | `CHEROKEE`
    `static Character.UnicodeBlock` | `CJK_COMPATIBILITY`
    `static Character.UnicodeBlock` | `CJK_COMPATIBILITY_FORMS`
    `static Character.UnicodeBlock` | `CJK_COMPATIBILITY_IDEOGRAPHS`
    `static Character.UnicodeBlock` | `CJK_RADICALS_SUPPLEMENT`
    `static Character.UnicodeBlock` | `CJK_SYMBOLS_AND_PUNCTUATION`
    `static Character.UnicodeBlock` | `CJK_UNIFIED_IDEOGRAPHS`
    `static Character.UnicodeBlock` | `CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A`
    `static Character.UnicodeBlock` | `COMBINING_DIACRITICAL_MARKS`
    `static Character.UnicodeBlock` | `COMBINING_HALF_MARKS`
    `static Character.UnicodeBlock` | `COMBINING_MARKS_FOR_SYMBOLS`
    `static Character.UnicodeBlock` | `CONTROL_PICTURES`
    `static Character.UnicodeBlock` | `CURRENCY_SYMBOLS`
    `static Character.UnicodeBlock` | `CYRILLIC`
    `static Character.UnicodeBlock` | `DEVANAGARI`
    `static Character.UnicodeBlock` | `DINGBATS`
    `static Character.UnicodeBlock` | `ENCLOSED_ALPHANUMERICS`
    `static Character.UnicodeBlock` | `ENCLOSED_CJK_LETTERS_AND_MONTHS`
    `static Character.UnicodeBlock` | `ETHIOPIC`
    `static Character.UnicodeBlock` | `GENERAL_PUNCTUATION`
    `static Character.UnicodeBlock` | `GEOMETRIC_SHAPES`
    `static Character.UnicodeBlock` | `GEORGIAN`
    `static Character.UnicodeBlock` | `GREEK`
    `static Character.UnicodeBlock` | `GREEK_EXTENDED`
    `static Character.UnicodeBlock` | `GUJARATI`
    `static Character.UnicodeBlock` | `GURMUKHI`
    `static Character.UnicodeBlock` | `HALFWIDTH_AND_FULLWIDTH_FORMS`
    `static Character.UnicodeBlock` | `HANGUL_COMPATIBILITY_JAMO`
    `static Character.UnicodeBlock` | `HANGUL_JAMO`
    `static Character.UnicodeBlock` | `HANGUL_SYLLABLES`
    `static Character.UnicodeBlock` | `HEBREW`
    `static Character.UnicodeBlock` | `HIRAGANA`
    `static Character.UnicodeBlock` | `IDEOGRAPHIC_DESCRIPTION_CHARACTERS`
    `static Character.UnicodeBlock` | `IPA_EXTENSIONS`
    `static Character.UnicodeBlock` | `KANBUN`
    `static Character.UnicodeBlock` | `KANGXI_RADICALS`
    `static Character.UnicodeBlock` | `KANNADA`
    `static Character.UnicodeBlock` | `KATAKANA`
    `static Character.UnicodeBlock` | `KHMER`
    `static Character.UnicodeBlock` | `LAO`
    `static Character.UnicodeBlock` | `LATIN_1_SUPPLEMENT`
    `static Character.UnicodeBlock` | `LATIN_EXTENDED_A`
    `static Character.UnicodeBlock` | `LATIN_EXTENDED_ADDITIONAL`
    `static Character.UnicodeBlock` | `LATIN_EXTENDED_B`
    `static Character.UnicodeBlock` | `LETTERLIKE_SYMBOLS`
    `static Character.UnicodeBlock` | `MALAYALAM`
    `static Character.UnicodeBlock` | `MATHEMATICAL_OPERATORS`
    `static Character.UnicodeBlock` | `MISCELLANEOUS_SYMBOLS`
    `static Character.UnicodeBlock` | `MISCELLANEOUS_TECHNICAL`
    `static Character.UnicodeBlock` | `MONGOLIAN`
    `static Character.UnicodeBlock` | `MYANMAR`
    `static Character.UnicodeBlock` | `NUMBER_FORMS`
    `static Character.UnicodeBlock` | `OGHAM`
    `static Character.UnicodeBlock` | `OPTICAL_CHARACTER_RECOGNITION`
    `static Character.UnicodeBlock` | `ORIYA`
    `static Character.UnicodeBlock` | `PRIVATE_USE_AREA`
    `static Character.UnicodeBlock` | `RUNIC`
    `static Character.UnicodeBlock` | `SINHALA`
    `static Character.UnicodeBlock` | `SMALL_FORM_VARIANTS`
    `static Character.UnicodeBlock` | `SPACING_MODIFIER_LETTERS`
    `static Character.UnicodeBlock` | `SPECIALS`
    `static Character.UnicodeBlock` | `SUPERSCRIPTS_AND_SUBSCRIPTS`
    `static Character.UnicodeBlock` | `SURROGATES_AREA`
    `static Character.UnicodeBlock` | `SYRIAC`
    `static Character.UnicodeBlock` | `TAMIL`
    `static Character.UnicodeBlock` | `TELUGU`
    `static Character.UnicodeBlock` | `THAANA`
    `static Character.UnicodeBlock` | `THAI`
    `static Character.UnicodeBlock` | `TIBETAN`
    `static Character.UnicodeBlock` | `UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS`
    `static Character.UnicodeBlock` | `YI_RADICALS`
    `static Character.UnicodeBlock` | `YI_SYLLABLES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Character.UnicodeBlock` | `of(char var0)`

    - ### Methods inherited from class java.lang.Character.Subset

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALPHABETIC_PRESENTATION_FORMS

          public static final Character.UnicodeBlock ALPHABETIC_PRESENTATION_FORMS

    - #### ARABIC

          public static final Character.UnicodeBlock ARABIC

    - #### ARABIC_PRESENTATION_FORMS_A

          public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_A

    - #### ARABIC_PRESENTATION_FORMS_B

          public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_B

    - #### ARMENIAN

          public static final Character.UnicodeBlock ARMENIAN

    - #### ARROWS

          public static final Character.UnicodeBlock ARROWS

    - #### BASIC_LATIN

          public static final Character.UnicodeBlock BASIC_LATIN

    - #### BENGALI

          public static final Character.UnicodeBlock BENGALI

    - #### BLOCK_ELEMENTS

          public static final Character.UnicodeBlock BLOCK_ELEMENTS

    - #### BOPOMOFO

          public static final Character.UnicodeBlock BOPOMOFO

    - #### BOPOMOFO_EXTENDED

          public static final Character.UnicodeBlock BOPOMOFO_EXTENDED

    - #### BOX_DRAWING

          public static final Character.UnicodeBlock BOX_DRAWING

    - #### BRAILLE_PATTERNS

          public static final Character.UnicodeBlock BRAILLE_PATTERNS

    - #### CHEROKEE

          public static final Character.UnicodeBlock CHEROKEE

    - #### CJK_COMPATIBILITY

          public static final Character.UnicodeBlock CJK_COMPATIBILITY

    - #### CJK_COMPATIBILITY_FORMS

          public static final Character.UnicodeBlock CJK_COMPATIBILITY_FORMS

    - #### CJK_COMPATIBILITY_IDEOGRAPHS

          public static final Character.UnicodeBlock CJK_COMPATIBILITY_IDEOGRAPHS

    - #### CJK_RADICALS_SUPPLEMENT

          public static final Character.UnicodeBlock CJK_RADICALS_SUPPLEMENT

    - #### CJK_SYMBOLS_AND_PUNCTUATION

          public static final Character.UnicodeBlock CJK_SYMBOLS_AND_PUNCTUATION

    - #### CJK_UNIFIED_IDEOGRAPHS

          public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS

    - #### CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A

          public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A

    - #### COMBINING_DIACRITICAL_MARKS

          public static final Character.UnicodeBlock COMBINING_DIACRITICAL_MARKS

    - #### COMBINING_HALF_MARKS

          public static final Character.UnicodeBlock COMBINING_HALF_MARKS

    - #### COMBINING_MARKS_FOR_SYMBOLS

          public static final Character.UnicodeBlock COMBINING_MARKS_FOR_SYMBOLS

    - #### CONTROL_PICTURES

          public static final Character.UnicodeBlock CONTROL_PICTURES

    - #### CURRENCY_SYMBOLS

          public static final Character.UnicodeBlock CURRENCY_SYMBOLS

    - #### CYRILLIC

          public static final Character.UnicodeBlock CYRILLIC

    - #### DEVANAGARI

          public static final Character.UnicodeBlock DEVANAGARI

    - #### DINGBATS

          public static final Character.UnicodeBlock DINGBATS

    - #### ENCLOSED_ALPHANUMERICS

          public static final Character.UnicodeBlock ENCLOSED_ALPHANUMERICS

    - #### ENCLOSED_CJK_LETTERS_AND_MONTHS

          public static final Character.UnicodeBlock ENCLOSED_CJK_LETTERS_AND_MONTHS

    - #### ETHIOPIC

          public static final Character.UnicodeBlock ETHIOPIC

    - #### GENERAL_PUNCTUATION

          public static final Character.UnicodeBlock GENERAL_PUNCTUATION

    - #### GEOMETRIC_SHAPES

          public static final Character.UnicodeBlock GEOMETRIC_SHAPES

    - #### GEORGIAN

          public static final Character.UnicodeBlock GEORGIAN

    - #### GREEK

          public static final Character.UnicodeBlock GREEK

    - #### GREEK_EXTENDED

          public static final Character.UnicodeBlock GREEK_EXTENDED

    - #### GUJARATI

          public static final Character.UnicodeBlock GUJARATI

    - #### GURMUKHI

          public static final Character.UnicodeBlock GURMUKHI

    - #### HALFWIDTH_AND_FULLWIDTH_FORMS

          public static final Character.UnicodeBlock HALFWIDTH_AND_FULLWIDTH_FORMS

    - #### HANGUL_COMPATIBILITY_JAMO

          public static final Character.UnicodeBlock HANGUL_COMPATIBILITY_JAMO

    - #### HANGUL_JAMO

          public static final Character.UnicodeBlock HANGUL_JAMO

    - #### HANGUL_SYLLABLES

          public static final Character.UnicodeBlock HANGUL_SYLLABLES

    - #### HEBREW

          public static final Character.UnicodeBlock HEBREW

    - #### HIRAGANA

          public static final Character.UnicodeBlock HIRAGANA

    - #### IDEOGRAPHIC_DESCRIPTION_CHARACTERS

          public static final Character.UnicodeBlock IDEOGRAPHIC_DESCRIPTION_CHARACTERS

    - #### IPA_EXTENSIONS

          public static final Character.UnicodeBlock IPA_EXTENSIONS

    - #### KANBUN

          public static final Character.UnicodeBlock KANBUN

    - #### KANGXI_RADICALS

          public static final Character.UnicodeBlock KANGXI_RADICALS

    - #### KANNADA

          public static final Character.UnicodeBlock KANNADA

    - #### KATAKANA

          public static final Character.UnicodeBlock KATAKANA

    - #### KHMER

          public static final Character.UnicodeBlock KHMER

    - #### LAO

          public static final Character.UnicodeBlock LAO

    - #### LATIN_1_SUPPLEMENT

          public static final Character.UnicodeBlock LATIN_1_SUPPLEMENT

    - #### LATIN_EXTENDED_A

          public static final Character.UnicodeBlock LATIN_EXTENDED_A

    - #### LATIN_EXTENDED_ADDITIONAL

          public static final Character.UnicodeBlock LATIN_EXTENDED_ADDITIONAL

    - #### LATIN_EXTENDED_B

          public static final Character.UnicodeBlock LATIN_EXTENDED_B

    - #### LETTERLIKE_SYMBOLS

          public static final Character.UnicodeBlock LETTERLIKE_SYMBOLS

    - #### MALAYALAM

          public static final Character.UnicodeBlock MALAYALAM

    - #### MATHEMATICAL_OPERATORS

          public static final Character.UnicodeBlock MATHEMATICAL_OPERATORS

    - #### MISCELLANEOUS_SYMBOLS

          public static final Character.UnicodeBlock MISCELLANEOUS_SYMBOLS

    - #### MISCELLANEOUS_TECHNICAL

          public static final Character.UnicodeBlock MISCELLANEOUS_TECHNICAL

    - #### MONGOLIAN

          public static final Character.UnicodeBlock MONGOLIAN

    - #### MYANMAR

          public static final Character.UnicodeBlock MYANMAR

    - #### NUMBER_FORMS

          public static final Character.UnicodeBlock NUMBER_FORMS

    - #### OGHAM

          public static final Character.UnicodeBlock OGHAM

    - #### OPTICAL_CHARACTER_RECOGNITION

          public static final Character.UnicodeBlock OPTICAL_CHARACTER_RECOGNITION

    - #### ORIYA

          public static final Character.UnicodeBlock ORIYA

    - #### PRIVATE_USE_AREA

          public static final Character.UnicodeBlock PRIVATE_USE_AREA

    - #### RUNIC

          public static final Character.UnicodeBlock RUNIC

    - #### SINHALA

          public static final Character.UnicodeBlock SINHALA

    - #### SMALL_FORM_VARIANTS

          public static final Character.UnicodeBlock SMALL_FORM_VARIANTS

    - #### SPACING_MODIFIER_LETTERS

          public static final Character.UnicodeBlock SPACING_MODIFIER_LETTERS

    - #### SPECIALS

          public static final Character.UnicodeBlock SPECIALS

    - #### SUPERSCRIPTS_AND_SUBSCRIPTS

          public static final Character.UnicodeBlock SUPERSCRIPTS_AND_SUBSCRIPTS

    - #### SURROGATES_AREA

          public static final Character.UnicodeBlock SURROGATES_AREA

    - #### SYRIAC

          public static final Character.UnicodeBlock SYRIAC

    - #### TAMIL

          public static final Character.UnicodeBlock TAMIL

    - #### TELUGU

          public static final Character.UnicodeBlock TELUGU

    - #### THAANA

          public static final Character.UnicodeBlock THAANA

    - #### THAI

          public static final Character.UnicodeBlock THAI

    - #### TIBETAN

          public static final Character.UnicodeBlock TIBETAN

    - #### UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS

          public static final Character.UnicodeBlock UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS

    - #### YI_RADICALS

          public static final Character.UnicodeBlock YI_RADICALS

    - #### YI_SYLLABLES

          public static final Character.UnicodeBlock YI_SYLLABLES

  - ### Method Detail

    - #### of

          public static Character.UnicodeBlock of(char var0)